// LnBerechner.java                                 MM 2013
import Tools.IO.*;                              // Eingaben

/**
 * Berechnet natuerliche Logarithmen.
 * @author Monika Meiler
 */
public class LnBerechner
{
/**
 * Logarithmusberechner:
 * Argumenteingabe, Wertberechnung, Ergebnisausgabe.
 */
  public static void main( String[] args)
  {
// Ueberschrift
    System.out.println();
    System.out.println( "Logarithmusberechner");

// Logarithmusfunktion
    Ln ln = new Ln();

// Exponentialfunktion
    Exp e = new Exp();

// Dialog
    char weiter = 'j';
    do
    {
// Argumenteingabe
      System.out.println();
      System.out.println( "Wertberechnung");
      double x = IOTools.readDouble( "x = ");
      System.out.println( x);

// Werteberechnung
      double y1 = ln.wert( x);
      double y2 = Math.log( x);
      double y3 = e.wert( y1);

// Ausgabe
      System.out.println
      ( "\tln.wert\t = " + y1);
      System.out.println
      ( "\tMath.log\t = " + y2);
      System.out.println
      ( "\te.wert( ln.wert( " + x + "))\t = " + y3);

// Weiter
      System.out.println();
      weiter = IOTools.readChar( "Neues Argument (j/n)? ");
    } while( weiter == 'j');

// Programm beendet
    System.out.println();
    System.out.println( "Programm beendet");
  }
}

/* ----------------------------------------------------- */
                                           // Testbeispiele
/*
Logarithmusberechner

Wertberechnung
x = 709.0
	ln.wert                     	= 6.5638555265321274
	Math.log                    	= 6.5638555265321274
	e.wert( ln.wert( 709.0))	= 708.9999999999997

x = 710.0
	ln.wert                     	= NaN
	Math.log                    	= 6.565264970035361
	e.wert( ln.wert( 710.0))	= NaN

x = 1.0E-9
	ln.wert                     	= -20.72326583694557
	Math.log                    	= -20.72326583694641
	e.wert( ln.wert( 1.0E-9))	= 1.0000000000008423E-9
Programm beendet
*/