// LogBTest.java                                    MM 2013

/**
 * Test der Klasse LogB.
 * @author Monika Meiler
 */
public class LogBTest
{
/**
 * Berechnet die Funktion f( x) = log( x) zur Basis 10
 * fuer gegebene x, vergleicht Ergebnis mit Math.log10( x).
 */
  public static void main( String[] args)
  {
// Dekadische Logarithmusfunktion
    LogB log = new LogB();
    log.setBasis( 10);

// Funktionsausgabe
    System.out.println();
    System.out.println( "f( x) = " + log);

// Wertetabelle
    System.out.println();
    System.out.println
    ( "Bereich [ 0, 2], Schrittweite 0.25");

    for( double x = 0; x <= 2; x += 0.25)
    {
      System.out.println();
      System.out.println( x + ": ");
      System.out.println
      ( "\tlog.wert       \t= " + log.wert( x));
      System.out.println
      ( "\tMath.log10     \t= " + Math.log10( x));
    }

// Programm beendet
    System.out.println();
    System.out.println( "Test beendet");
  }
}

/* ----------------------------------------------------- */
                                          // Testergebnisse
/*
f( x) = log( x) zur Basis 10.0

Bereich [ 0, 2], Schrittweite 0.25

0.0: 
	log.wert       	= -Infinity
	Math.log10     	= -Infinity

0.25: 
	log.wert       	= -0.6020599913279625
	Math.log10     	= -0.6020599913279624

0.5: 
	log.wert       	= -0.30102999566398125
	Math.log10     	= -0.3010299956639812

0.75: 
	log.wert       	= -0.1249387366082999
	Math.log10     	= -0.12493873660829995

1.0: 
	log.wert       	= 0.0
	Math.log10     	= 0.0

1.25: 
	log.wert       	= 0.0969100130080565
	Math.log10     	= 0.09691001300805642

1.5: 
	log.wert       	= 0.17609125905568127
	Math.log10     	= 0.17609125905568124

1.75: 
	log.wert       	= 0.24303804868629436
	Math.log10     	= 0.24303804868629444

2.0: 
	log.wert       	= 0.30102999566398114
	Math.log10     	= 0.3010299956639812

Test beendet
*/
